<div class="main">
    <div class="container">
        <div class="container-form">

            <div class="form-row" style="vertical-align: bottom; bottom: 0px;">
                <div class="col-md-6 mb-1">
                    <img src="/assets/img/logo.png" alt="Logo" height="80px;">
                </div>
                <div class="col-md-6 mb-1" style="text-align: right;">
                    <div style="height: 60%;"></div>
                    <!-- <h4 style="display: inline-block; vertical-align: middle;line-height: normal;">Sistema de Facturación</h4> -->
                    <span class="title">Sistema de Facturación</span>
                </div>
            </div>
            <br style="clear:both;" />
            <form [formGroup]="formRevision" (ngSubmit)="facturar(formRevision)" #form="ngForm">
                <div class="form-row" *ngIf="!folioRevisado">
                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <input type="text" class="form-control" formControlName="folio" aria-describedby="inputGroupPrepend2" required [ngClass]="{'is-invalid':form.submitted && formRevision.controls.folio.errors}">
                            <label for="floatingSelect">No. de Ticket/Folio</label>
                            <div class="invalid-feedback">Campo Requerido</div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <input type="text" class="form-control" NumbersOnlyDirective formControlName="importe_total" aria-describedby="inputGroupPrepend2" required [ngClass]="{'is-invalid':form.submitted && formRevision.controls.importe_total.errors}">
                            <label for="floatingSelect">Importe Total de la Venta</label>
                            <div class="invalid-feedback">Ingrese un Importe Válido</div>
                        </div>
                    </div>

                    <div class="col-md mb-3">
                        <div class="form-floating">
                            <input type="text" class="form-control" formControlName="rfc" aria-describedby="inputGroupPrepend2" required [ngClass]="{'is-invalid':form.submitted && formRevision.controls.rfc.errors}" (change)="onChangeEventRFC($event)">
                            <label for="floatingSelect">RFC Receptor</label>
                            <div class="invalid-feedback">RFC No Válido</div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <select class="form-select form-select-sm" formControlName="uso_cfdi" required [ngClass]="{'is-invalid':form.submitted && formRevision.controls.uso_cfdi.errors}">
                                <option disabled value=undefined>Seleccione Uso de CFDI</option>
                                <option [value]="usocfdi.clave" *ngFor="let usocfdi of catalogo_usocfdi">{{usocfdi.descripcion}}</option>
                            </select>
                            <label for="floatingSelect">Uso de CFDI</label>
                            <div class="invalid-feedback">Seleccione un Uso de CFDI</div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <select class="form-select form-select-sm" formControlName="regimen_fiscal" required [ngClass]="{'is-invalid':form.submitted && formRevision.controls.regimen_fiscal.errors}">
                                <option disabled value=undefined>Seleccione el Régimen Fiscal</option>
                                <option [value]="regimen.clave" *ngFor="let regimen of catalogo_regimen_fiscal">{{regimen.descripcion}}</option>
                            </select>
                            <label for="floatingSelect">Régimen Fiscal</label>
                            <div class="invalid-feedback">Seleccione un Régimen Fiscal</div>
                        </div>
                    </div>
                </div>

                <div class="form-row" *ngIf="!folioRevisado">
                    <div class="col-md-3 mb-2">
                        <div class="input-group input-group-sm">
                            <button class="btn btn-dark">
                        Siguiente
                </button>
                        </div>
                    </div>
                </div>
                <!-- <input class="input100" type="text" placeholder="Folio de la Compra" [(ngModel)]="folio" name="folio"> -->
            </form>

            <form [formGroup]="formFacturacion" *ngIf="folioRevisado" (ngSubmit)="facturar(formFacturacion)" #form="ngForm">
                <div class="form-row">

                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <input type="text" class="form-control form-control-sm" formControlName="razon_social" aria-describedby="inputGroupPrepend2" required [ngClass]="{'is-invalid':form.submitted && formFacturacion.controls.razon_social.errors}">
                            <label for="floatingSelect">Nombre / Razon Social</label>
                            <div class="invalid-feedback">Campo Requerido</div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <input type="text" class="form-control" formControlName="codigo_postal" aria-describedby="inputGroupPrepend2" required [ngClass]="{'is-invalid':form.submitted && formFacturacion.controls.codigo_postal.errors}">
                            <label for="floatingSelect">Domicilio Fiscal (Código Postal)</label>
                            <div class="invalid-feedback">Ingrese Un Código Postal Válido</div>
                        </div>
                    </div>

                    <div class="col-md-12 mb-3">
                        <div class="form-floating">
                            <input type="text" class="form-control" formControlName="correo" aria-describedby="inputGroupPrepend2" required [ngClass]="{'is-invalid':form.submitted && formFacturacion.controls.correo.errors}">
                            <label for="floatingSelect">Correo Electrónico</label>
                            <div class="invalid-feedback">Ingrese Un Correo Electrónico Válido</div>
                        </div>
                    </div>

                </div>

                <div class="form-row">
                    <div class="mb-2">
                        <button type="submit" class="btn btn-dark btn-sm" (click)="regresar()"> <span>Regresar</span> </button>
                    </div>
                    &nbsp;
                    <div class="mb-2">
                        <button type="submit" class="btn btn-success btn-sm"> <span>Facturar</span> </button>
                    </div>
                </div>
            </form>

            <!-- <input class="input100" type="text" placeholder="Folio de la Compra" [(ngModel)]="folio" name="folio"> -->


            <div class="table-responsive" *ngIf="folioRevisado">

                <div class="btn-toolbar" role="toolbar">
                    <div class="table-responsive">

                        <table class="table table-hover" id="tabla">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Cantidad</th>
                                    <th>Descripcion</th>
                                    <th>Unidad</th>
                                    <th>Precio Unitario</th>
                                    <th>Importe</th>
                                    <th>IVA</th>
                                    <th>Total</th>
                                </tr>
                            </thead>

                            <tbody>
                                <tr *ngFor="let concepto of conceptos;let i = index">
                                    <td>{{i+1}}</td>
                                    <td>{{concepto.Concepto.Cantidad}}</td>
                                    <td>{{concepto.Concepto.Descripcion}}</td>
                                    <td>{{concepto.Concepto.Unidad}}</td>
                                    <td>{{concepto.Concepto.ValorUnitario | currency}}</td>
                                    <td>{{concepto.Concepto.Importe | currency}}</td>
                                    <td>{{concepto.Concepto.Importe_Iva | currency}}</td>
                                    <td>{{concepto.Concepto.Importe_Total | currency}}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>